ALTER TABLE RACUNI_KUPCEV
ADD BANK_ABBREVIATION VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_RACUNI_KUPCEV
AS (
SELECT RK.ID_RACUNA, RK.ID_LASTNIKA, RK.ST_RACUNA, RK.OPIS, RK.BANKA, RK.PREFERRED, RK.DIRECT_DEBIT_AUTH, RK.DIRECT_DEBIT, RK.BANK_ABBREVIATION,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM RACUNI_KUPCEV RK
LEFT OUTER JOIN KUPCI K ON K.ID = RK.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1205, SYSDATE, '5.5', 1125, 'Racuni bank abbreviation')
;