DROP VIEW V_PREGLEDI;

ALTER TABLE PREGLEDI ADD (ID_PREGLEDI NUMBER);

CREATE SEQUENCE PREGLEDI_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE PREGLEDI 
SET ID_PREGLEDI = PREGLEDI_SEQ.NEXTVAL
WHERE ID_PREGLEDI IS NULL;

ALTER TABLE PREGLEDI ADD (
  CONSTRAINT PK_PREGLEDI PRIMARY KEY (ID_PREGLEDI));

CREATE OR REPLACE
TRIGGER PREGLEDI_TRG
BEFORE INSERT
ON PREGLEDI
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
  IF (:NEW.ID_PREGLEDI IS NULL) THEN
          SELECT PREGLEDI_SEQ.NEXTVAL INTO :NEW.ID_PREGLEDI FROM DUAL;END IF;END;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(378, SYSDATE, '5.5', 298, 'Dodan kljuc ID_PREGLEDI na tabelo PREGLEDI');