CREATE TABLE NNSITUATION (
	ID NUMBER,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ALARM VARCHAR2 (1 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNSITUATION_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNSITUATION_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (1, 'Open service', 'Open service', 'Y', 'Y'); 

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (2, 'Open work order', 'Open work order', 'Y', 'Y'); 

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (3, 'Uninvoiced work order', 'Uninvoiced work order', 'Y', 'Y'); 

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (4, 'Open deposit', 'Open deposit', 'Y', 'Y');

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (5, 'Valid contract', 'Valid contract', 'Y', 'Y'); 

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (6, 'Active attachment', 'Active attachment', 'Y', 'Y');

INSERT INTO NNSITUATION(ID, OPIS, INTERNI_OPIS, ALARM, AKT) 
VALUES (7, 'Active folder', 'Active folder', 'Y', 'Y');


CREATE TABLE NNDEPARTURE_REASON (
	ID NUMBER,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNDEPARTURE_REASON_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNDEPARTURE_REASON_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE FINAL_DEPARTURE (
	ID NUMBER,
	ID_LASTNIKA NUMBER,
	ID_PLOVILA NUMBER,
	DEPARTURE_DATE DATE,
	CONSTRAINT FINAL_DEPARTURE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE FINAL_DEPARTURE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE FINAL_DEPARTURE_REASON (
	ID NUMBER,
	ID_FINAL_DEPARTURE NUMBER,
	ID_DEPARTURE_REASON NUMBER,
	CONSTRAINT FINAL_DEPARTURE_REASON_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE FINAL_DEPARTURE_REASON_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_ALARM_RECEIVE AS (
	SELECT ARD.ID_ALARM_RECIEVE_DET AS ID, ARD.ID_ALARM_RECIEVE_DET, ARD.ID_ALARM_RECIEVE, ARD.USER_RECIEVE, ARD.DATE_RECIEVE, AR.ID_ALARM, AR.RECIEVE_TYPE, AR.RECIEVE_DATA, 
  AD.SFALARM, AD.SFMODULE, AD.DATUM_KREIRANJA, AD.USER_KREIRANJA, AD.DATUM_ZAPADLOST, AD.SFTRIGGER, AD.USER_MESSAGE, AD.ASOCIATED_TABLE,
  AD.ASOCIATED_DATA, AD.STATUS, AD.DATA_CHECK, K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.ID_MEMBER AS KUPCI_ID_MEMBER,
  P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME
	FROM ALARM_RECIEVE_DETAIL ARD
	INNER JOIN ALARM_RECIEVE AR ON AR.ID_ALARM_RECIEVE = ARD.ID_ALARM_RECIEVE
  INNER JOIN ALARM_DATA AD ON AD.ID_ALARM = AR.ID_ALARM
  LEFT OUTER JOIN KUPCI K ON K.ID = AD.ASOCIATED_DATA AND AD.ASOCIATED_TABLE = 'KUPCI'
  LEFT OUTER JOIN PLOVILA P ON P.ID = AD.ASOCIATED_DATA AND AD.ASOCIATED_TABLE = 'PLOVILA'
);

ALTER TABLE ENQUIRY_SUBJECT
ADD SUBJECT_DATE DATE;

ALTER TABLE ENQUIRY_TERM
ADD TERM_DATE DATE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (711, SYSDATE, '5.5', 631, 'Final departure');