CREATE OR REPLACE VIEW V_BERTH_SUBLEASE AS (
SELECT BS.ID, BS.ID_PRIVEZ, BS.ID_LASTNIKA, BS.ID_CARDS, BS.DATE_FROM, BS.DATE_TO, BS.DATE_CREATED, BS.USER_CREATED, BS.DATE_CHANGED, BS.USER_CHANGED,
NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NP.SUBLEASE AS NNPRIVEZ_SUBLEASE, (CASE WHEN NP.ID_BERTH_SUBLEASE = BS.ID AND NP.SUBLEASE = 'Y' THEN 'Y' ELSE 'N' END) AS SUBLEASE_ACTIVE,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, NC.OPIS AS NNCARDS_OPIS
FROM BERTH_SUBLEASE BS
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BS.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = BS.ID_LASTNIKA
LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = BS.ID_CARDS
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (988, SYSDATE, '5.5', 908, 'VBerthSublease');