UPDATE MONEY M
SET M.ID_KUPCI_CC = (SELECT MAX(KCC.ID_KUPCI_CC) FROM KUPCI_CREDIT_CARDS KCC WHERE KCC.ID_CARDS = M.ID_CARDS AND KCC.ID_KUPCA = (SELECT ID_KUPCA FROM EXCHANGE WHERE ID = M.ID_MENJAVE)
AND (KCC.NNLOCATION_ID IS NULL OR KCC.NNLOCATION_ID = (SELECT NNLOCATION_ID FROM EXCHANGE WHERE ID = M.ID_MENJAVE)) AND KCC.ACTIVE = 'Y' AND PREFERRED = 'Y')
WHERE M.ID_KUPCI_CC IS NULL AND M.ID_TIP_TRANS = 'KAR';

UPDATE MONEY M
SET M.ID_KUPCI_CC = (SELECT MAX(KCC.ID_KUPCI_CC) FROM KUPCI_CREDIT_CARDS KCC WHERE KCC.ID_CARDS = M.ID_CARDS AND KCC.ID_KUPCA = (SELECT ID_KUPCA FROM EXCHANGE WHERE ID = M.ID_MENJAVE)
AND (KCC.NNLOCATION_ID IS NULL OR KCC.NNLOCATION_ID = (SELECT NNLOCATION_ID FROM EXCHANGE WHERE ID = M.ID_MENJAVE)) AND KCC.ACTIVE = 'Y')
WHERE M.ID_KUPCI_CC IS NULL AND M.ID_TIP_TRANS = 'KAR';

UPDATE MONEY M
SET M.ID_KUPCI_CC = (SELECT MAX(KCC.ID_KUPCI_CC) FROM KUPCI_CREDIT_CARDS KCC WHERE KCC.ID_CARDS = M.ID_CARDS AND KCC.ID_KUPCA = (SELECT ID_KUPCA FROM EXCHANGE WHERE ID = M.ID_MENJAVE)
AND (KCC.NNLOCATION_ID IS NULL OR KCC.NNLOCATION_ID = (SELECT NNLOCATION_ID FROM EXCHANGE WHERE ID = M.ID_MENJAVE)))
WHERE M.ID_KUPCI_CC IS NULL AND M.ID_TIP_TRANS = 'KAR';

CREATE OR REPLACE VIEW V_MONEY AS (
  SELECT M.ID_MONEY, M.ID_MENJAVE, M.ID_TIP_TRANS, M.ID_CARDS, M.ZNESEK, M.NVALUTA, M.STANJE_VAL, M.PAYMENT_RESPONSE_ID, M.ID_KUPCI_CC,
  NC.OPIS AS NNCARDS_OPIS, S.ID_SALDKONT, KCC.TEMPORARY AS CREDIT_CARD_TEMPORARY, KCC.ID_CREDIT_CARD_TOKEN AS CREDIT_CARD_TOKEN_ID
  FROM MONEY M
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = M.ID_CARDS 
  LEFT OUTER JOIN EXCHANGE E ON E.ID = M.ID_MENJAVE 
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = E.ID_SALDKONT
  LEFT OUTER JOIN KUPCI_CREDIT_CARDS KCC ON KCC.ID_KUPCI_CC = M.ID_KUPCI_CC
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1271, SYSDATE, '5.5', 1191, 'Money credit card')
;
