CREATE TABLE INI_STANJE 
   (	PRIVEZI VARCHAR2(30 BYTE), 
	DOLZINE VARCHAR2(30 BYTE), 
	TIPI VARCHAR2(30 BYTE), 
	OBDOBJA VARCHAR2(30 BYTE), 
	DRZAVE VARCHAR2(30 BYTE)
   );

  CREATE TABLE STORITVE 
   (	ID_LASTNIKA NUMBER NOT NULL ENABLE, 
	ID_PLOVILA NUMBER NOT NULL ENABLE, 
	OD DATE NOT NULL ENABLE, 
	ID NUMBER NOT NULL ENABLE, 
	DOO DATE, 
	STORITEV VARCHAR2(6 BYTE), 
	STEVEC NUMBER, 
	KAT VARCHAR2(3 BYTE), 
	TIMEKAT VARCHAR2(3 BYTE), 
	PROCKAT VARCHAR2(3 BYTE), 
	POPUST NUMBER, 
	ID_POGODBE NUMBER, 
	DETAIL_TYPE VARCHAR2(1 BYTE), 
	ID_DETAIL NUMBER, 
	N_RACUNA VARCHAR2(10 BYTE), 
	DATUM_RACUNA DATE, 
	N_AKONTACIJE VARCHAR2(10 BYTE), 
	DATUM_AKONTACIJE DATE, 
	AKONTACIJA_SIT NUMBER, 
	AKONTACIJA_DEM NUMBER, 
	SIT NUMBER, 
	DEM NUMBER, 
	RACUN_SIT NUMBER, 
	RACUN_DEM NUMBER, 
	DAVEK_SIT NUMBER, 
	DAVEK_DEM NUMBER, 
	TECAJ_DEM NUMBER, 
	KOMENTAR VARCHAR2(60 BYTE), 
	DATUM_KREIRANJA DATE, 
	USER_KREIRANJA VARCHAR2(20 BYTE), 
	DATUM_SPREMEMBE DATE, 
	USER_SPREMEMBE VARCHAR2(20 BYTE), 
	ZNESEK NUMBER, 
	 PRIMARY KEY (ID_LASTNIKA, ID_PLOVILA, OD, ID));

CREATE INDEX IX_STORITVE_POGODBE ON STORITVE (ID_POGODBE);
 
CREATE INDEX PK_STORITVE ON STORITVE (ID);

CREATE TABLE INI_PROMET 
   (	STORITVE VARCHAR2(30 BYTE), 
	OBDOBJA VARCHAR2(30 BYTE), 
	KUPCI VARCHAR2(30 BYTE)
   );

CREATE TABLE INI_STORITVE 
   (	STORITVE VARCHAR2(30 BYTE), 
	OBDOBJA VARCHAR2(30 BYTE), 
	TIPI VARCHAR2(30 BYTE), 
	DOLZINE VARCHAR2(30 BYTE), 
	DRZAVE VARCHAR2(30 BYTE), 
	KAT VARCHAR2(30 BYTE), 
	TIMEKAT VARCHAR2(30 BYTE), 
	VRSTE VARCHAR2(30 BYTE)
   );

Insert into INI_PROMET (STORITVE,OBDOBJA,KUPCI) values ('xnnstoritvetemgru','obdobja','xkupci');
Insert into INI_STANJE (PRIVEZI,DOLZINE,TIPI,OBDOBJA,DRZAVE) values ('x','xnndolzine','xnntip','obdobja','xnndrzave');
Insert into INI_STORITVE (STORITVE,OBDOBJA,TIPI,DOLZINE,DRZAVE,KAT,TIMEKAT,VRSTE) values ('xnnstoritvetemgru','obdobja','xnntip','xnndolzine','xnndrzave','xnnkateg','xnnkateg','xnnvrste');


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (203, SYSDATE, '5.5', 123, 'EIS manjkajoe tabele');