CREATE OR REPLACE VIEW V_REZERVAC_POG AS (
  SELECT POG.ID_POGODBE, 
  POG.ID_LASTNIKA,
  POG.ID_PLOVILA,
  NP.ID_PRIVEZ,
  POG.OBJEKT,
  POG.N_PRIVEZA AS PRIVEZ,
  NVL(POG.DATUM_ZACETKA, SYSDATE) AS POGODBA_OD,
  NVL(POG.DATUM_KONCA, TO_DATE('31.12.2100', 'dd/MM/yyyy')) AS POGODBA_DO
  FROM M_POGODBE POG
  LEFT OUTER JOIN NNPRIVEZ NP ON POG.OBJEKT = NP.OBJEKT AND POG.N_PRIVEZA = NP.N_PRIVEZA
  WHERE POG.STATUS IN ('O', 'A')
  AND POG.OBJEKT IS NOT NULL
  AND POG.N_PRIVEZA IS NOT NULL
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(418, SYSDATE, '5.5', 338, 'Popravek V_REZERVAC_POG');