ALTER TABLE SALDKONT ADD CONSTRAINT PK_SALDKONT PRIMARY KEY(ID_SALDKONT);

CREATE TABLE PAYMENT_LINK (
	ID NUMBER NOT NULL,
	ID_SALDKONT NUMBER NOT NULL,
	LINK VARCHAR2(300 CHAR),
	LINK_REFERENCE_ID VARCHAR2(50 CHAR),
	UNIQUE_CODE VARCHAR2(100 CHAR),
	PRODUCT VARCHAR2(250 CHAR),
	AMOUNT NUMBER,
	CURRENCY VARCHAR2(10 CHAR),
	EXPIRY DATE,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(50 CHAR),
	CONSTRAINT PAYMENT_LINK_SALDKONT_FK FOREIGN KEY (ID_SALDKONT) REFERENCES SALDKONT(ID_SALDKONT),
	CONSTRAINT PAYMENT_LINK_PK PRIMARY KEY(ID)
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (893, SYSDATE, '5.5', 813, 'Popravek PK saldkont');